export interface TSPoint {
    x: number;
    y: number;
}
export interface TSSize {
    w: number;
    h: number;
}
export declare type TSDocumentFormat = 'letter' | 'legal' | 'tabloid' | 'a0' | 'a1' | 'a2' | 'a3' | 'a4' | 'a5' | 'a6';
export declare const TSDocumentFormats: {
    [key in TSDocumentFormat]: TSSize;
};
export declare class TSRect implements TSPoint, TSSize {
    x: number;
    y: number;
    w: number;
    h: number;
    constructor(rect: TSRect);
    constructor(x: number, y: number, w: number, h: number);
    constructor(origin: TSPoint, w: number, h: number);
    constructor(origin: TSPoint, size: TSSize);
    get origin(): TSPoint;
    get size(): TSSize;
    get minX(): number;
    get minY(): number;
    get maxX(): number;
    get maxY(): number;
    get midX(): number;
    get midY(): number;
}
export declare function TSmm2Pixels(mm: number): number;
export declare function TScm2Pixels(cm: number): number;
export declare function TSPixels2cm(pixels: number): number;
export declare function TSPixels2mm(pixels: number): number;
export declare function TSInches2Pixels(inches: number): number;
export declare function TSPixels2Inches(pixels: number): number;
